%define module	XML-XUpdate-LibXML
%define version 0.2
%define release 4mdk

Summary:	%{module} module for perl
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	MPL
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildArch:   noarch
BuildRequires:	libxml2-devel >= 2.4.20
BuildRequires:	perl-devel
BuildRequires:	perl-XML-LibXML
BuildRoot:	%{_tmppath}/%{name}-buildroot/
PreReq:		libxml2 perl-XML-LibXML

%description
%{module} module for perl
Simple implementation of XUpdate format

%prep
%setup -q -n %{module}-%{version}
#%patch0

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS=vendor
make
#make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT%{_prefix} all pure_install doc_install

%preun -p /usr/bin/perl
use XML::SAX;
XML::SAX->remove_parser(q(XML::LibXML::SAX::Parser))->save_parsers();

%post -p /usr/bin/perl
use XML::SAX;
XML::SAX->add_parser(q(XML::LibXML::SAX::Parser))->save_parsers();

%files
%defattr(-,root,root)
%doc Changes MANIFEST test.pl
%{_bindir}/xupdate
%{_mandir}/*/*
%perl_vendorlib/XML/*

%changelog
* Tue Aug 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.2-4mdk
- rebuild

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2-3mdk
- disable failling tests for now
- rebuild for new auto{prov,req}

* Thu Jan 30 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2-2mdk
- perl-5.8 build
- rpmlint fixes

* Thu Jun 27 2002 Philippe Libat <philippe@mandrakesoft.com> 0.2-1mdk
- initial RPM
